org.gnome.pango

## Class Scale

- Object
- - org.freedesktop.bindings.DoubleConstant
  - - org.gnome.pango.Scale

-     public class Scale
      extends org.freedesktop.bindings.DoubleConstant

  Constants use to scale text by an amount relative to that around it. This is used when specifying text size with TextTag's `setScale()`.

  The default, such as it is, is `NORMAL` which represents a scaling factor of `1.0`, (ie. no scaling).

  In case you're wondering, these scaling constants are `(1.2)n` where `n` is `1,2,3` for `LARGE`, `X_LARGE`, `XX_LARGE`, and `-1,-2,-3` for `SMALL`, `X_SMALL`, and `XX_SMALL` respectively.

  Since:
    4.0.9

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Scale` | `LARGE`
    `static Scale` | `NORMAL` Normal (unscaled) text, scaling factor `1.0`.
    `static Scale` | `SMALL`
    `static Scale` | `X_LARGE`
    `static Scale` | `X_SMALL`
    `static Scale` | `XX_LARGE`
    `static Scale` | `XX_SMALL`

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.DoubleConstant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LARGE

          public static final Scale LARGE

    - #### NORMAL

          public static final Scale NORMAL

      Normal (unscaled) text, scaling factor `1.0`.

    - #### SMALL

          public static final Scale SMALL

    - #### X_LARGE

          public static final Scale X_LARGE

    - #### X_SMALL

          public static final Scale X_SMALL

    - #### XX_LARGE

          public static final Scale XX_LARGE

    - #### XX_SMALL

          public static final Scale XX_SMALL